Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.past.gc.messaging
Class GCRefreshMessage

    java.lang.Object
      rice.p2p.past.messaging.PastMessage
          rice.p2p.past.messaging.ContinuationMessage
              rice.p2p.past.gc.messaging.GCRefreshMessage

All Implemented Interfaces:
  java.io.Serializable, Continuation, Message, RawMessage, RawSerializable

    public class GCRefreshMessage

extends ContinuationMessage

Version:
  $Id: GCRefreshMessage.java 3613 2007-02-15 14:45:14Z jstewart $
Author:
  Alan Mislove
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface rice.Continuation
`Continuation.ErrorContinuation<R,E extends java.lang.Exception>, Continuation.ExternalContinuation<R,E extends java.lang.Exception>, Continuation.ExternalContinuationRunnable<R,E extends java.lang.Exception>, Continuation.ExternalRunnable, Continuation.ListenerContinuation<R,E extends java.lang.Exception>, Continuation.MultiContinuation, Continuation.NamedContinuation, Continuation.SimpleContinuation, Continuation.StandardContinuation<R,E extends java.lang.Exception>`

Field Summary
`protected GCId[]` | `keys`
`static short` | `TYPE`

Fields inherited from class rice.p2p.past.messaging.ContinuationMessage
`exception, response, S_EMPTY, S_JAVA_EXCEPTION, S_JAVA_RESPONSE, S_SUB, serType`

Fields inherited from class rice.p2p.past.messaging.PastMessage
`dest, id, isResponse, source`

Fields inherited from interface rice.p2p.commonapi.Message
`DEFAULT_PRIORITY, HIGH_PRIORITY, LOW_PRIORITY, LOWEST_PRIORITY, MAX_PRIORITY, MEDIUM_HIGH_PRIORITY, MEDIUM_LOW_PRIORITY, MEDIUM_PRIORITY`

Constructor Summary
`GCRefreshMessage(int uid, GCIdSet keys, NodeHandle source, Id dest)` Constructor which takes a unique integer Id, as well as the keys to be refreshed

Method Summary
`static GCRefreshMessage` | `build(InputBuffer buf, Endpoint endpoint)`
`GCId[]` | `getKeys()` Method which returns the list of keys
`short` | `getType()` Raw Serialization
`void` | `serialize(OutputBuffer buf)` Deprecated to cause warnings.
`java.lang.String` | `toString()` Returns a string representation of this message

Methods inherited from class rice.p2p.past.messaging.ContinuationMessage
`deserialize, getResponse, receiveException, receiveResult, returnResponse, serialize`

Methods inherited from class rice.p2p.past.messaging.PastMessage
`addHop, getDestination, getPriority, getSource, getUID, isResponse, setResponse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE

    public static final short TYPE

See Also:
  Constant Field Values

### keys

    protected GCId[] keys

Constructor Detail

### GCRefreshMessage

    public GCRefreshMessage(int uid,
                            GCIdSet keys,
                            NodeHandle source,
                            Id dest)

  Constructor which takes a unique integer Id, as well as the keys to be refreshed

  Parameters:
    `uid` - The unique id
    `keys` - The keys to be refreshed
    `expiration` - The new expiration time
    `source` - The source address
    `dest` - The destination address

Method Detail

### getKeys

    public GCId[] getKeys()

  Method which returns the list of keys

  Returns:
    The list of keys to be refreshed

### toString

    public java.lang.String toString()

  Returns a string representation of this message

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    A string representing this message

### getType

    public short getType()

  Raw Serialization

### serialize

    public void serialize(OutputBuffer buf)
                   throws java.io.IOException

  Description copied from class: `ContinuationMessage`
  Deprecated to cause warnings. use serialize(OutputBuffer buf, boolean javaSerialize)

  Specified by:
    `serialize` in interface `RawSerializable`
  Specified by:
    `serialize` in class `ContinuationMessage`
  Throws:
    `java.io.IOException`

### build

    public static GCRefreshMessage build(InputBuffer buf,
                                         Endpoint endpoint)
                                  throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.